Bug 40473

Summary: Cannot delete annotations
Product: poppler Reporter: Reinout van Schouwen <reinouts>
Component: glib frontendAssignee: poppler-bugs <poppler-bugs>
Status: RESOLVED FIXED QA Contact:
Severity: enhancement    
Priority: medium CC: antonio.roquentin, nunojsg+bugsfdo
Version: unspecified   
Hardware: Other   
OS: All   
i915 platform: i915 features:

Description Reinout van Schouwen 2011-08-29 15:14:59 UTC
Forwarded from https://bugzilla.gnome.org/show_bug.cgi?id=649044

Please implement the possibility to remove annotations that were added by poppler (or any other pdf annotating application).
Comment 1 Antonio Roquentin 2012-05-11 13:44:28 UTC
Does the following commit


fix this bug? Deletion of annotations should work now with poppler 0.20.
Comment 2 Fabio D'Urso 2012-05-11 15:04:36 UTC
Yes, commit 631224dc0c721119c91984f1940c9e51edf17eca adds support for annotation removal. However, it is currently (0.20.0) exposed by the qt4 frontend only.
I'm reassigning to glib frontend.
Comment 3 Carlos Garcia Campos 2012-05-20 03:28:25 UTC
Fixed in git master
Comment 4 Yangtse Su 2013-01-31 04:13:46 UTC
It seems poppler-glib still can not remove annotitons.
Who fixed,and how?Where is the patch?
Comment 5 Jose Aliste 2013-01-31 12:58:20 UTC
Look at poppler_page_remove_annot method in poppler-page.cc

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.